Bug 250622 - initscript does not exit when rpc.mount fails to start.
initscript does not exit when rpc.mount fails to start.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: nfs-utils (Show other bugs)
5.1
All Linux
low Severity low
: ---
: ---
Assigned To: Steve Dickson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-02 10:44 EDT by Steve Dickson
Modified: 2008-05-21 11:15 EDT (History)
0 users

See Also:
Fixed In Version: RHBA-2008-0408
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:15:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Dickson 2007-08-02 10:44:40 EDT
Description of problem:

    daemon rpc.mountd $RPCMOUNTDOPTS
    RETVAL=$?
    echo
+   [ $RETVAL -ne 0 ] && exit $RETVAL
    touch /var/lock/subsys/nfs

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 RHEL Product and Program Management 2007-10-15 23:51:23 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Steve Dickson 2008-01-07 10:33:58 EST
Fixed in nfs-utils-1.0.9-27.el5
Comment 7 errata-xmlrpc 2008-05-21 11:15:32 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0408.html

Note You need to log in before you can comment on or make changes to this bug.